﻿create table app_setting_define
(
  app_id varchar(30) not null,
  setting_key varchar(20) not null,
  name varchar(200) not null,
  setting_type integer not null,
  define varchar(500),
  sort_num integer not null,
  primary key(app_id,setting_key)
);

create table app_category(
  cid varchar(30)  primary key not null,
  name varchar(30)  not null,
  name_en varchar(30),
  name_zh_hk varchar(30),
  priority integer  not null
);

create table app_info(
    app_id varchar(30)  primary key not null,
    app_name varchar(30),
    app_name_en varchar(30),
    app_name_zh_hk varchar(30),
    app_code varchar(30),
    icon_path varchar(200),
    priority integer not null default 0,
    type integer not null default 1,
    force_often integer not null default 0,
    online_url varchar(300),
    category_id varchar(30),
    app_version integer not null default 0,
    install_version integer not null default 0,
    download_version integer not null default 0,
    native_app_id varchar(60),
    start_command varchar(60),
    ota_url varchar(30),
    c_app_logo_version integer not null default 0,
    c_app_info_version integer not null default 0,
    subType varchar(30),
    fetchMode varchar(30),
   	badgeUrl varchar(300),
    fetchUrl varchar(300),
    receiver varchar(30),
    app_desc varchar(100) not null default '',
    app_config varchar(500) not null default ''
);

create table app_logo_task
(
    app_id varchar(30) not null  primary key,
    s_app_logo_version integer
);

create table app_runtime
(
  app_id varchar(30) primary key not null,
  app_code varchar(20) not null,
  index_url varchar(500) not null,
  hardwareAccelerated integer default 0,
  fullScreen integer default 0
);

create table app_command
(
  command varchar(30) primary key not null,
  app_id varchar(30) not null
);

create table app_service
(
  app_id varchar(30) not null,
  service_name varchar(30) not null,
  service_path varchar(500) not null,
  constraint pk_app_service primary key (app_id ,service_name)
);

create table widget
(
  widget_id INTEGER PRIMARY KEY AUTOINCREMENT,
  app_id varchar(30) not null,
  name varchar(200) not null,
  widget_url varchar(500) not null,
  refresh_interval integer not null
);

create table ability
(
  ability_id varchar(30) primary key not null,
  ability_code varchar(20) not null
);

create table pre_install
(
  app_id varchar(30) not null,
  down_version integer not null,
  path varchar(300) not null,
  primary key(app_id,down_version)
);

create table newest_client_version
(
  normal_key  varchar(30) primary key not null,
  version_code varchar(30)  not null,
  version_visible varchar(30),
  package_size integer not null default 0,
  is_force_update integer not null default 0,
  inner_version integer not null default 0,
  digest varchar(300),
  descs varchar(500),
  package_desc_type integer not null default 0
);

create table clientpkg_task
( 
   task_id varchar(30) primary key not null,
   version varchar(30) not null,
   size integer not null,
   finish_part integer not null,
   add_time varchar(30) not null,
   user_action integer not null
);
create table dialog_flag
( 
   normal_key  varchar(30) primary key not null,
   version varchar(30) not null,
   install_flag integer not null default 0,
   down_flag integer not null default 0
);

create table department
(
	did integer primary key not null,
	name varchar(100) not null,
	ename varchar(100),
	name_zh_hk varchar(100),
	parent_id integer,
	sort_id integer,
	type integer not null,
	real_id integer,
	child_inherit integer not null,
	s_last_update integer not null default 0,
	m_last_update integer not null default 0,
	layer_id varchar(300),
	c_last_update integer default 0,
	desc varchar(300),
	address varchar(300),
	post_code varchar(20),
	fax varchar(50),
	config varchar(300),
	member_count integer not null default 0,
	category_id varchar(300),
	detp_type integer not null default 2,
	level integer not null default 0,
	path varchar(500),
	parent_org_count integer
);
CREATE INDEX idx_department_path ON department (path);
CREATE INDEX idx_department_pid ON department (parent_id);

create table person
(
	pid integer primary key not null,
	name varchar(100) not null,
	ename varchar(100),
	name_tc varchar(100),
	signature varchar(500),
	department_id integer not null,
	s_last_update integer default 0,
	full_spell varchar(100),
	short_spell varchar(100),
	source varchar(100),
	source_id varchar(100),
	email varchar(200),
	phone varchar(256),
	telephone varchar(30),
	sex integer,
	position varchar(50),
	positionEn varchar(256),
	position_tc varchar(256),
	positionDesc varchar(256),
	short_no varchar(30),
	region varchar(16),
	birthday integer,
	user_level integer,
	user_state integer default 0,
	c_last_update integer default 0,
	login_name text not null default '',
	job_number varchar(100),
	alias_name varchar(100)
);
--部门表，由于不能drop column，就去掉了原来的department_member，新建了一张department_member2的表了。
create table department_member2
(
	did integer not null,
	member_id integer not null,
	sort_id integer,
	is_default integer not null,
	last_time integer,
	primary key(did,member_id)
);

create table person_icon
(
	pid integer primary key not null,
	s_last_update integer,
	icon_url varchar(300) not null,
	c_last_update integer
);

create table contacts_data_version
(
	type integer primary key not null,
	timestamp integer not null default 0
);

create table public_srv
(
    sid integer primary key not null,
    scode varchar(100),
    name varchar(100) not null,
    name_en varchar(100),
    name_zh_hk varchar(100),
    descs varchar(2000),
    is_force integer default 0,
    priority integer not null default 0,
    s_update_time iteger not null default 0,
    app_id varchar(30)
);

create table public_srv_menu
(
    sid integer not null,
    level integer not null,
    type integer not null,
    show_text varchar(40) not null,
    value varchar(100)
);

create table need_public_srv
(
    sid integer not null,
    update_time integer not null
);

create table need_public_srv_icon
(
    sid integer not null,
    download_url varchar(200) not null,
    update_time integer not null
);

create table skin_market_info
(
	market_id varchar(100) primary key not null,
    market_uri varchar(200) not null,
    market_path varchar(200) not null,
    market_state integer not null
);

--功能插件      开始-->
create table function_plugin(
  plugin_code varchar(20) primary key  not null,
  icon varchar(200) not null,
  display_name varchar(50) not null,
  config_view varchar(200) not null,
  main_view varchar(200) not null,
  plugin_class varchar(200) not null,
  default_is_on integer not null
);
insert into function_plugin(plugin_code,icon,display_name,config_view,main_view,plugin_class,default_is_on) values("emailAssit","icon_feature_email_assit","邮件助手","com.mibridge.eweixin.portalUI.email.ConfigActivity","com.mibridge.eweixin.portalUI.email.EmailListActivity","com.mibridge.eweixin.portal.email.EmailModule",1);
--功能插件      结束-->

create table dynamic_table_ver
(
	version integer not null
);

create table user_interaction_lasttime
(
	id integer primary key  not null,
	last_time varchar(200) not null
);
create table advertise_ment
(
    id integer primary key not null,
    page_url varchar(100) not null,
    pic_url varchar(300) not null,
    local_url varchar(300) not null,
    last_update integer not null,
    interval integer not null default 0,
    state integer not null default 0
);

create table department_category
(
	cate_id value primary key not null,
    cate_name varchar(100) not null default '',
    priority integer not null default 0
);
create table user_search
(
  pid integer not null,
  search_id varchar(30) primary key not null,
  name varchar(100),
  update_time integer not null default 0,
  type integer not null,
  sessionType integer not null
);
create table relation
(
  user_id varchar(50) not null,
  relation_id varchar(50) not null
);
