﻿create table if not exists app_new_add
(
  app_id varchar(50) not null  primary key
);

create table search_history(
    search_id integer primary key not null,
    session_id integer not null,
    search_key varchar(100),
    search_time integer	
);

--功能插件      开始-->
create table function_plugin_status(
  plugin_code varchar(20) primary key  not null,
  is_on int not null
);
create table app_message_data_ver
(
    timestamp integer not null
);
insert into app_message_data_ver(timestamp) values(0);
--功能插件      结束-->

--邮件助手      开始-->
create table email(
  uid varchar(30) primary key  not null, 
  from_addr varchar(200) not null,
  priority integer,
  subject varchar(200),
  send_time varchar(20),
  summary varchar(400),
  content_url varchar(300),
  content_path varchar(300),
  status integer,
  attachment_count integer,
  important integer not null default 0
);

create table email_receiver(
  uid varchar(30) not null, 
  type integer,
  addr varchar(200)
);

create table email_attachment(
  uid varchar(30) not null, 
  name varchar(50) not null,
  download_url varchar(300) not null,
  file_name varchar(50) not null,
  is_transfered integer,
  size integer,
  mime_type varchar(200)
);

create table email_task(
  uid varchar(30) primary key not null,
  add_time integer not null
);

create table email_parameter(
  need_hint integer not null,
  new_count integer not null,
  maintain_peroid integer not null default 3
);
insert into email_parameter(need_hint,new_count) values(0,0);
create table email_signature
(
	signature varchar(300) not null default ''
);
insert into email_signature(signature) values('');
--邮件助手      结束-->


delete from chat_group;

delete from chat_group_member;

update chat_group_data_ver set timestamp=0;

create table can_public_srv
(
    sid integer primary key not null,
    is_new integer not null default 0
);

create table my_public_srv
(
    sid integer primary key not null
);

create table public_srv_ver
(
    timestamp integer not null default 0,
    type integer not null	
);

insert into public_srv_ver(type,timestamp) values(1,0);
insert into public_srv_ver(type,timestamp) values(2,0);

create table publicsrv_chat_session_last_time
(
	last_time number primary key not null
);

insert into publicsrv_chat_session_last_time(last_time) values(0);
ALTER TABLE person ADD user_state integer;

create table broadcast_state(
    msg_id integer primary key not null,
    msg_state integer default 0
);

create table broadcast_version(
    msg_id integer primary key not null,
    last_update integer default 0
);

create table workspace_ad_info
(
    id integer not null primary key,
    state integer,
    last integer,
    picurl varchar(300) not null,
    linkurl varchar(300),
    pic_savepath varchar(100),
    loadState integer 
);


create table broadcast_report(
    msg_id integer not null,
    user_id integer not null,
    user_name varchar(30),
    dept_id integer not null,
    mobile_report integer,
    pc_report integer,
    short_spell varchar(100)
);

create table broadcast_receiver(
    msg_id integer not null,
    receiver_id integer not null,
    receiver_name varchar(30),
    dept_id integer not null,
    receiver_type integer,
    short_spell varchar(100)
);

create table broadcast_receiver_state(
    msg_id integer primary key not null
);

ALTER TABLE chat_session ADD at_state integer not null default 0;
ALTER TABLE chat_session ADD at_msg_id integer not null default -100;
ALTER TABLE chat_session ADD at_msg_index integer not null default -100;
ALTER TABLE broadcast_report ADD dept_id integer not null default -1;
ALTER TABLE broadcast_receiver ADD dept_id integer not null default -1;
ALTER TABLE chat_session ADD report_flag integer not null default 0;
ALTER TABLE chat_session ADD show_index integer not null default 0;
ALTER TABLE user_apps ADD pullBadge integer not null default 0;
ALTER TABLE user_apps ADD pull2Badge integer not null default 0;



create table reliable_https_url(
	url text primary key not null
);

ALTER TABLE person ADD login_name text not null default '';

ALTER TABLE chat_group ADD p_update_time integer not null default 0;

create table chat_group_person
(
	group_id integer not null,
	person_id integer not null,
	name text not null default '',
	name_en text not null default '',
	name_tc text not null default '',
	first_letter text not null default '#',
	first_letter_english text not null default '#',
	dept_id integer not null default 0,
	full_spell text not null default '',
	short_spell text not null default ''
);

create table user_token
( 
  domain varchar(200) primary key not null,
  token_type integer not null,
  token varchar(200) not null,
  redirect_url varchar(200),
  valid_seconds integer not null,
  gen_time integer not null
);

create table user_vpn
( 
  auto_login integer(1) not null default 1,
  ip_address varchar(100) not null default '',
  port varchar(50) not null default '',
  vpn_username varchar(50) not null,
  vpn_password varchar(50) not null
);
insert into user_vpn(auto_login,ip_address,port,vpn_username,vpn_password) values(1,"","","","");

-----消息收藏表-----
create table collection_msg
(
  id 	integer not null,
  msg_id text not null default '',
  content_type varchar(50) not null default '',
  content text not null,
  sender integer not null default 0,
  sender_name varchar(100) not null default '',
  source varchar(200) not null default '',
  last_update_time integer not null default 0,
  primary key (id,msg_id)
);

-----消息资源表-----
create table collection_res 
(
  res_id integer not null,
  msg_id text not null default '',
  save_path text not null default '',
  mime_type varchar(30) not null default '',
  server_url text not null default '',
  res_state integer not null default 0,
  file_size integer not null default 0,
  primary key (res_id,msg_id)
);

update user_apps_version set timestamp=0;

ALTER TABLE chat_group_member ADD name_en varchar(100) not null default '';
ALTER TABLE chat_group_member ADD name_tc varchar(100) not null default '';

create table nick_name
(
	user_id integer primary key not null ,
	nick_name text not null default '',
	name text not null default '',
	english_name text not null default ''
);


ALTER TABLE file_task ADD http_cookie varchar(512);

-- 应用places字段默认值 --
ALTER TABLE user_apps ADD places text not null default '1;';
ALTER TABLE user_app_often ADD places text not null default '1;';
ALTER TABLE app_new_add ADD places text not null default '1;';

------下载记录表 ------------
create table download_record
(
	rid text primary key not null,
	task_type number not null default 0,
	save_path text not null default '',
	name text not null default '',
	create_time number not null default 0,
	mine_type number not null default 100,
	task_state number not null default 0,
	size number not null default 0,
	finish_part number not null default 0
);

ALTER TABLE download_record ADD file_id number not null default 0;
ALTER TABLE download_record ADD file_version_id number not null default 0;
ALTER TABLE download_record ADD session_id text not null default '';

--------文件描述表-------------
create table kk_file
(
	path text primary key not null,
	url text not null default '',
	available number not null default 0,
	mine_type number not null default 100,
	create_time number not null default 0,
	size number not null default 0,
	from_type number not null default 0,
	from_value number not null default 0,
	sub_from number not null default 0,
	name text not null default '',
	last_modify_time number not null default 0,
	action_type number not null default 0
);

ALTER TABLE kk_file ADD file_id number not null default 0;
ALTER TABLE kk_file ADD file_version_id number not null default 0;



create table group_file
(
    local_id text primary key not null,
	path text not null default '',
	name text not null default '',
	url text not null default '',
	mime_type number not null default 100,
	create_time number not null default 0,
	size number not null default 0,
	action_type number not null default 0,
	group_id number not null default 0,
	sender_id number not null default 0
);

ALTER TABLE person ADD positionEn varchar(256);

ALTER TABLE person ADD positionDesc varchar(256);

ALTER TABLE person ADD job_number varchar(100);

ALTER TABLE person ADD alias_name varchar(100);

ALTER TABLE chat_group ADD session_id integer not null default 0;

------------- 自定义表情表  ----------------
create table custom_face
(
	uri varchar(50) primary key not null,
	save_path varchar(100) not null default '',
	type integer not null default 0,
	state integer not null default 0,
	identify varchar(50) not null default '',
	timestamp integer not null default 0,
	size integer,
	width integer,
	height integer
);

------------- 收藏的自定义表情 ----------------
create table collection_face
(
	uri varchar(50) primary key not null,
	save_path varchar(100) not null default '',
	save_path_h varchar(100) default '',
	state integer not null default 0,
	identify varchar(50) not null default '',
	timestamp integer not null default 0,
	size integer,
	width integer,
	height integer,
	sort_id integer
);

--------- 自定义表情最后同步时间 ---------
create table face_last_update
(
	last_update integer primary key not null
);
insert into face_last_update(last_update) values(0);

--令牌增加类型
ALTER TABLE user_token ADD token_style integer not null default 1;

ALTER TABLE chat_group_person ADD role integer not null default 0;
ALTER TABLE chat_group_person ADD last_update integer not null default 0;

--群组信息，增加业务沟通群需要的相关字段
ALTER TABLE chat_group ADD sub_type integer not null default 0;
ALTER TABLE chat_group ADD biz_type varchar(20) null;
ALTER TABLE chat_group ADD biz_type_name varchar(20) null;
ALTER TABLE chat_group ADD biz_type_name_en varchar(20) null;
ALTER TABLE chat_group ADD biz_id varchar(50) null;
ALTER TABLE chat_group ADD biz_url varchar(500) null;
ALTER TABLE chat_group ADD biz_card_templace integer null;
ALTER TABLE chat_group ADD biz_desc text null;
--群组信息,增加群状态
ALTER TABLE chat_group ADD state integer not null default 1;

--603R
--person表迁移到common库
DROP TABLE IF EXISTS person;

---------- 最近使用emoji表情 ------------
create table recent_emoji
(
    recent_emoji_str varchar(200) not null default ''
);
insert into recent_emoji(recent_emoji_str) values('');

-----------下拉列表出现APP入口-----------
create table user_app_frequent
(
   app_id varchar(30) not null primary key,
   save_path varchar(100) not null default '',
   app_name varchar(30) not null default '',
   last_update_time varchar(30),
   type integer not null default 1,
   subType varchar(30),
   app_status integer ,
   native_app_id varchar(60),
   ota_url varchar(30),
   app_version integer not null default 0,
   install_version integer not null default 0,
   download_version integer not null default 0,
   online_url varchar(300),
   app_available varchar(30),
   item_position integer not null default 0
);
ALTER TABLE user_app_frequent ADD item_edit_position integer not null default 0;


-----用户点击行为记录
create table user_action
(
    event_id integer not null,
    event_desc varchar(300) not null default '',
    time_stamp number not null
);

-----7010 Kan一下相关-----------------------------------------------------
-----同步kan列表的时间戳
create table kan_sync_time
(
    last_time number primary key not null
);

insert into kan_sync_time(last_time) values(0);


-----Kan详情
create table kan_info
(
    kan_id number primary key not null,
    title text not null,
    attachment text not null default '',
    creater integer not null,
    create_time number not null,
    state integer not null default 1,
    max_index integer not null default 0,
    available_comment_count integer not null default 0,
    receiver_count  integer not null default 0,
    receiver_summary varchar(32) not null default '',
    relative_message_session_id integer not null default 0,
    relative_message_id integer not null default 0,
    confirm_state integer not null default 0,
    receiver_include_creater integer not null default 0
);

-----kan附件表
create table kan_attachment
(
    kan_id number not null,
    path text not null default '',
    uri text not null default '',
    attachment_index integer not null,
    attachment_name text not null default ''
);

---------表情包------
create table emoji_package
(
	pkg_id integer primary key not null,
	name varchar(30) not null default '',
	name_en varchar(30) not null default '',
	name_tc varchar(30) not null default '',
	desc varchar(300) not null default '',
	icon_url varchar(300) not null default '',
	icon_save_path varchar(300) not null default '',
	preview_url varchar(300) not null default '',
	state integer not null default 0,
	count integer not null default 0,
	priority integer not null default 0,
	sub_state integer not null default 0,
	create_time integer not null default 0,
	sub_time integer not null default 0,
	last_update integer not null default 0
);
--------所有收藏的表情包里的表情------
create table collection_package_emoji
(
	uri varchar(50) not null,
	pkg_id integer not null,
	save_path varchar(100) not null default '',
	save_path_h varchar(100) not null default '',
	state integer not null default 0,
	identify varchar(50) not null default '',
	timestamp integer not null default 0,
	size integer not null default 0,
	width integer not null default 0,
	height integer not null default 0,
	sort_id	integer not null default 0,
	last_update integer not null default 0,
	primary key(uri,pkg_id)
);
---------收藏的表情包时间戳--------
create table collection_package_last_update
(
    last_update integer primary key not null
);
insert into collection_package_last_update(last_update) values(0);

---------7050 fileTask 增加ua

ALTER TABLE file_task ADD ua varchar(128);
---------7070 fileTask 增加context_map
ALTER TABLE file_task ADD context_map varchar(2000);
ALTER TABLE file_task ADD start_net_state varchar(30);
ALTER TABLE file_task ADD care_net_state integer not null default 0;
---------8000 fileTask 增加finish_time
ALTER TABLE file_task ADD finish_time integer not null default 0;

--8.0.0.1 会话过滤入口配置
create table session_filters
(
    id number primary key not null,
    state number not null
);

--创建session_filters唯一索引,避免升级时重复插入
create UNIQUE INDEX sidx ON session_filters (
  id ASC
);

--增加session_filters缺省状态，未开启0
insert into session_filters(id,state) values(1,1);
insert into session_filters(id,state) values(2,1);
insert into session_filters(id,state) values(3,1);
insert into session_filters(id,state) values(4,1);


-- 8010 会话文件数据
create table IM_file (
  F_sessionId integer,
  F_fileId integer,
  F_msgId integer,
  F_creater integer,
  F_fileName text,
  F_lastVersionId integer,
  F_lastEditor integer,
  F_lastEditorName text,
  F_lastUpdate integer,
  F_lastSize integer,
  F_lastUri text,
  F_operType integer,
  F_state integer,
  F_isFolder integer DEFAULT 0,
  F_folderContent text
);


create UNIQUE INDEX IMFile_Index ON IM_file (
  F_sessionId ASC,
  F_fileId ASC
);

create table IM_file_last_time (
  F_sessionId integer NOT NULL,
  F_lastUpdate integer,
  PRIMARY KEY (F_sessionId)
);

create table msg_sound_text (
  msg_id integer primary key not null,
  convert_text text,
  text_show_state integer not null default 0,
  convert_state integer not null default 0
);

create table department_hide_rules
(
  did integer primary key not null,
  visible integer not null
);

ALTER TABLE user_vpn ADD vpn_domain varchar(50) not null default '';